URL structure
{itemId} is the ID of a file object/Secure Object.
Supported methods and overview
GET- retrieves a list of information associated with the versions of a file object/Secure Object (specified byitemId).
Detailed description
This API endpoint retrieves a list of information associated with the versions of a file object (specified byitemId).
Supported roles and conditions
This API endpoint supports requests utilising Cocoon Data user accounts with the following roles (as described in the Organisation Administrator’s Guide) and conditions:- Originator - when this user owns the file object whose ID is specified by
{itemId}in the request’s URL. - Originator, Collaborator and Ad hoc - when this user is a collaborator with the Rename permission on the file object whose ID is specified by
{itemId}in the URL. (The Rename permission restricts access to collaborators who have been applied either the Modify or Manage permission set on this file object.)
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Optional parameters
The following optional parameters can also be sent in the URL of the request:-
limit - An integer value from
0to100, representing the maximum number of items to be returned in the response from the Cocoon Data Platform, where an individual item is information about a file object within the organisation. If this parameter is0, then no limit is imposed. If this parameter is omitted, then its value is25by default. -
offset - A value representing the count order of all retrievable items (i.e. file objects) from the Cocoon Data Platform returned in the response. Calls to this API endpoint are soon likely to amount to potentially unmanageable numbers of items being returned from the Cocoon Data Platform. Since the order of these items in the response could differ significantly, based on the values of the orderBy and sortBy parameters below, this offset parameter provides pagination for items returned in responses, allowing items to be retrieved from any count greater than
0(i.e. the first item returned in a response). If this parameter is omitted, then its value is0by default. -
orderBy - An enumeration (enum) value representing the order in which items (i.e. file objects) are returned in the response. This parameter orders items according to the value of the sortBy parameter specified below. Ordering items can be in either ascending alphanumeric order (by specifying the value
ASCfor this parameter) or descending order (by specifying the valueDESC). If this parameter is omitted, then its value isDESCby default. -
sortBy - An enum value representing the field (i.e. member) of a retrieved item by which items (i.e. file objects) returned in the response will be sorted. Valid field values for this parameter include:
created- the date when the file version was created,createdBy- the email address of the owner or collaborator who created the file’s version,contentSize- the size (in bytes) of the file version’s unencrypted data (as recorded by the Cocoon Data Platform’s Access Service).
alex.originator@xy-company.com):
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful requests only, a JSON-formatted response containing the following members is also returned:
- items - An array containing information about all versions of a file object. Each element of this array contains information about one of these file’s versions (represented as an object containing the following members unless otherwise stated).
- id - The version’s ID.
- itemId - The file object’s ID.
- hasView - A boolean value that indicates whether or not the Cocoon Data Platform’s Content Service has generated a read-only view of the file object’s data in storage.
- sha512 - The SHA-512 value associated with the file’s version.
- contentSize - The amount of space (in bytes) of the file version’s unencrypted data (as recorded by the Cocoon Data Platform’s Access Service).
- encryptedContentSize - The amount of space (in bytes) of the file version’s encrypted data (as recorded by the Cocoon Data Platform’s Access Service).
- canGenerateView - A boolean value that indicates whether or not the Content Service is capable of generating a read-only view of the file version’s data.
-
originator - A member containing information about the owner or collaborator who created the file’s version.
- email - This email address of this Cocoon Data user.
- id - The ID of this Cocoon Data users account.
- modifiedAt - The date and time when the file’s version was last modified.
-
createdAt - The date and time when the file’s version was created.
Example (response):

